net/openconnect - The NetBSD Packages Collection

Open source VPN client

OpenConnect is an SSL VPN client initially created to support Cisco's
AnyConnect SSL VPN. It has since been ported to support the Juniper SSL VPN
(which is now known as Pulse Connect Secure), and the Palo Alto Networks
GlobalProtect SSL VPN.

Build dependencies

pkgtools/cwrappers devel/libtool-base shells/bash devel/gmake devel/pkgconf

Runtime dependencies

net/vpnc-script textproc/libxml2 www/libproxy lang/python38 lang/python38 textproc/libxml2 www/libproxy

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfopenconnect-8.10nb2.tgz
NetBSD 8.0earmv7hfopenconnect-8.10.tgz
NetBSD 8.0earmv7hfopenconnect-8.10nb2.tgz
NetBSD 8.0i386openconnect-8.10.tgz
NetBSD 8.0i386openconnect-8.10nb2.tgz
NetBSD 8.0i386openconnect-8.10nb2.tgz
NetBSD 8.0powerpcopenconnect-8.10.tgz
NetBSD 8.0powerpcopenconnect-8.10nb2.tgz
NetBSD 8.0powerpcopenconnect-8.10nb2.tgz
NetBSD 8.0powerpcopenconnect-8.10nb2.tgz
NetBSD 8.0x86_64openconnect-8.10nb2.tgz
NetBSD 8.0x86_64openconnect-8.10.tgz
NetBSD 8.0x86_64openconnect-8.10nb2.tgz
NetBSD 9.0aarch64openconnect-8.10nb2.tgz
NetBSD 9.0aarch64openconnect-8.10.tgz
NetBSD 9.0aarch64openconnect-8.10nb2.tgz
NetBSD 9.0alphaopenconnect-8.10nb2.tgz
NetBSD 9.0alphaopenconnect-8.10.tgz
NetBSD 9.0alphaopenconnect-8.10nb2.tgz
NetBSD 9.0earmv6hfopenconnect-8.10nb2.tgz
NetBSD 9.0earmv6hfopenconnect-8.10.tgz
NetBSD 9.0earmv6hfopenconnect-8.10nb2.tgz
NetBSD 9.0earmv6hfopenconnect-8.10nb2.tgz
NetBSD 9.0earmv7hfopenconnect-8.10nb2.tgz
NetBSD 9.0earmv7hfopenconnect-8.10.tgz
NetBSD 9.0earmv7hfopenconnect-8.10nb2.tgz
NetBSD 9.0earmv7hfopenconnect-8.10nb2.tgz
NetBSD 9.0earmv7hfopenconnect-8.10nb2.tgz
NetBSD 9.0i386openconnect-8.10.tgz
NetBSD 9.0i386openconnect-8.10nb2.tgz
NetBSD 9.0i386openconnect-8.10nb2.tgz
NetBSD 9.0mips64ebopenconnect-8.10nb2.tgz
NetBSD 9.0mips64ebopenconnect-8.10.tgz
NetBSD 9.0mips64ebopenconnect-8.10nb2.tgz
NetBSD 9.0powerpcopenconnect-8.10nb2.tgz
NetBSD 9.0powerpcopenconnect-8.10.tgz
NetBSD 9.0powerpcopenconnect-8.10nb2.tgz
NetBSD 9.0powerpcopenconnect-8.10nb2.tgz
NetBSD 9.0sparc64openconnect-8.10nb2.tgz
NetBSD 9.0sparc64openconnect-8.10.tgz
NetBSD 9.0sparc64openconnect-8.10nb2.tgz
NetBSD 9.0sparcopenconnect-8.10nb2.tgz
NetBSD 9.0x86_64openconnect-8.10nb1.tgz
NetBSD 9.0x86_64openconnect-8.10nb2.tgz
NetBSD 9.0x86_64openconnect-8.10nb2.tgz
NetBSD 9.0x86_64openconnect-8.10nb2.tgz
NetBSD 9.0x86_64openconnect-8.10.tgz
NetBSD 9.0x86_64openconnect-8.10nb2.tgz
NetBSD 9.0x86_64openconnect-8.10nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.